# Scalar
**A Factorio mod to scale your technology**, by *fishlips13* (Niall Phillips)

### What does it do?
Scalar allows you to edit all technologies and the evolution rate by applying
scalar values to their attributes.

### How do I use it?
To enable/disable a feature flip the appropriate bool in the config file.
The mod will change appropriate tech and/or evolution values based upon the
specified values.

*eg.*  
Set "ENABLE_TECH_COUNT" to "true" to enable or "false" to disable  
Set "TECH_COUNT_SCALE" to "2", research repetition is doubled (eg. 10 to 20)  
Set "TECH_COUNT_SCALE" to "0.5", research repetition is halved (eg. 10 to 5)

IMPORTANT: Be sure to restart the game to apply any changes made.

### Evolution Scaling
By default and when enabled, evolution scales with tech cost and tech time
modifiers multiplicatively.  
*eg.* 2x count -> 0.5x evolution **or** 2x count, 2x time -> 0.25x evolution

This default behaviour can be overridden in the config file with custom values.

### Old Saves
To load old saves with new Scalar values enable the appropriate rebuild
feature(s) in the config file and load + save the old save to apply changes.
Disable the rebuild feature afterwards to avoid unintended changes to other saves.

### Cheats
"AUTOMATION_TECH_CHEAT" disables scaling for 'Automation 1' tech.  
"INSTANT_FREE_TECH_CHEAT" makes all tech free and instant research.

### Licence
This modification is licenced under 'The MIT License' and Copyright is held
by the creator. See the included licence file for more information.
